FreeCAD-AppImages do not run under opensuse Tumbleweed

Having trouble installing or compiling FreeCAD? Get help here.
adler53
Posts: 2
Joined: Mon Jul 01, 2019 4:44 pm

FreeCAD-AppImages do not run under opensuse Tumbleweed

Postby adler53 » Fri Jul 05, 2019 12:25 pm

If you run FreeCAD-Images from Version 0.18 up, you get this error:

Code: Select all

adler@ad-oss:/opt/appimage> ./FreeCAD_0.18-16117-Linux-Conda_Py3Qt5_glibc2.12-x86_64.AppImage
/tmp/.mount_FreeCAiRZqo7
FreeCAD 0.18, Libs: 0.18R16117 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

Invalid MIT-MAGIC-COOKIE-1 key/tmp/.mount_FreeCAiRZqo7/AppRun: Zeile 12:  8540 Abgebrochen             (Speicherabzug geschrieben) ${HERE}/usr/bin/FreeCAD "$@"
This means, that FreeCAD is completely not compatible with Opensuse Tumbleweed, neither by zypper in FreeCAD, neither as AppImage.

The Installation with zypper in FreeCAD fails with

Code: Select all

Problem: libpyside2.cpython-37m-x86_64-linux-gnu.so.5.12()(64bit) needed by FreeCAD-0.18.1-1.1.x86_64 cannot be provided
 Solution 1: do not install FreeCAD-0.18.1-1.1.x86_64 
 Solution 2: FreeCAD-0.18.1-1.1.x86_64: ignore Depencies and risk an instable system 



This means, that FreeCAD would -under opensuse Tumbleweed - be only available as WINDOWS-Version, working under WINE.
Last edited by Kunda1 on Fri Jul 05, 2019 6:23 pm, edited 1 time in total.
Reason: s/Images/AppImages/
User avatar
Kunda1
Posts: 4814
Joined: Thu Jan 05, 2017 9:03 pm

Re: FreeCAD-Images do not run under opensuse Tumbleweed

Postby Kunda1 » Fri Jul 05, 2019 5:27 pm

Moved to install/compile subforum

Is this anissueyou can reproduce with any other appimages or just FreeCAD?
Want to contribute back to FC? Checkout:
#lowhangingfruit | Use the Source, Luke. | How to Help FreeCAD | How to report FC bugs and features
adler53
Posts: 2
Joined: Mon Jul 01, 2019 4:44 pm

Re: FreeCAD-Images do not run under opensuse Tumbleweed

Postby adler53 » Fri Jul 05, 2019 6:03 pm

The error comes only up by the Appimages of Version 0.18 and 0.19.
FreeCAD 0.17 works fine and twoo other Appimages (Libreoffice and Blender) either do.....
DeronF
Posts: 3
Joined: Wed Jul 17, 2019 9:01 pm

Re: FreeCAD-AppImages do not run under opensuse Tumbleweed

Postby DeronF » Wed Jul 17, 2019 9:12 pm

Hi..
FreeCAD 18.1 was working fine on my OpenSUSE tumbleweed machine until a system update few months ago .. when Python 3 updated the FreeCAD broke ..
Any attempt to reinstall it gives this:

x@x-pc:/> sudo zypper install FreeCAD
Retrieving repository 'openSUSE-Tumbleweed-Source-Non-Oss' metadata ..........................................................................[done]
Building repository 'openSUSE-Tumbleweed-Source-Non-Oss' cache ...............................................................................[done]
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides libpyside2.cpython-37m-x86_64-linux-gnu.so.5.12()(64bit) needed by FreeCAD-0.18.1-1.1.x86_64
Solution 1: do not install FreeCAD-0.18.1-1.1.x86_64
Solution 2: break FreeCAD-0.18.1-1.1.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c/d/?] (c):
schuderbalg
Posts: 1
Joined: Wed Jul 24, 2019 7:08 pm

Re: FreeCAD-AppImages do not run under opensuse Tumbleweed

Postby schuderbalg » Wed Jul 24, 2019 7:13 pm

Create symlinks to version 5.13 of missing libraries, at least FreeCAD starts up:

schuderbalg@linux:/usr/lib64> sudo ln -s libshiboken2.cpython-37m-x86_64-linux-gnu.so.5.13 libshiboken2.cpython-37m-x86_64-linux-gnu.so.5.12
schuderbalg@linux:/usr/lib64> sudo ln -s libshiboken2.cpython-37m-x86_64-linux-gnu.so.5.13.0 libshiboken2.cpython-37m-x86_64-linux-gnu.so.5.12.0
schuderbalg@linux:/usr/lib64> sudo ln -s libpyside2.cpython-37m-x86_64-linux-gnu.so.5.13 libpyside2.cpython-37m-x86_64-linux-gnu.so.5.12
schuderbalg@linux:/usr/lib64> sudo ln -s libpyside2.cpython-37m-x86_64-linux-gnu.so.5.13.0 libpyside2.cpython-37m-x86_64-linux-gnu.so.5.12.0
looo
Posts: 2666
Joined: Mon Nov 11, 2013 5:29 pm

Re: FreeCAD-AppImages do not run under opensuse Tumbleweed

Postby looo » Wed Jul 24, 2019 7:31 pm

Invalid MIT-MAGIC-COOKIE-1
Can you change the topic title to:
"invalid magic cookies on tumble weed" ;)

I guess it's a hidden message from open suse devs.
triplus
Posts: 8474
Joined: Mon Dec 12, 2011 4:45 pm

Re: FreeCAD-AppImages do not run under opensuse Tumbleweed

Postby triplus » Sun Aug 25, 2019 10:42 pm

Any openSUSE people around? Just wondering what is the current situation regarding FreeCAD 0.18/0.19 AppImages:

https://github.com/FreeCAD/FreeCAD/releases

Thanks.